Class
Pseudocount
Holds the pseudocounts for each residue of a given sequence alphabet.

Pseudocount

CMode | PMode

Pseudocount<TValue, TSpec>
Include Headers
seqan/find_motif.h
Parameters

TSpec | Specialization tag for determining the pseudocount method. Types: CMode, CMode, PMode, PMode
TValue | The type of sequence which is considered. Metafunctions: Value Types: AminoAcid, Dna

Specializations

CMode | Represents the C ("constant") computation scheme for handling "zero" probabilities.
PMode | Represents the P computation scheme for handling "zero" probabilities.

Metafunctions

Value | Type of the items in the container.

Functions

convertSetOfPatternsToProfile | Converts a set of sequence patterns into a profile.
normalize | Determines the normalized frequencies.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45